lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rox/version'

Gem::Specification.new do |spec|
  spec.name          = 'rox-rollout'
  spec.version       = Rox::VERSION
  spec.authors       = ['CloudBees']
  spec.email         = ['support@rollout.io']
  spec.summary       = 'Feature Management ROX Ruby SDK'
  spec.homepage      = 'https://github.com/rollout/rox-ruby'
  spec.license       = 'Nonstandard'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.required_ruby_version = '>= 2.3'

  spec.add_runtime_dependency 'em-eventsource', '~> 0.3.2'
  spec.add_runtime_dependency 'analytics-ruby', '~> 2.0.0'


  spec.add_development_dependency 'bundler', '~> 2.2.3'
  spec.add_development_dependency 'minitest', '~> 5.11'
  spec.add_development_dependency 'pry-byebug', '~> 3.7.0'
  spec.add_development_dependency 'rake', '~> 12.3'
  spec.add_development_dependency 'rubocop', '~> 1.10'
  spec.add_development_dependency 'webmock', '~> 3.7.5'
end
